Unlocking - Major Trouble

jhynds

macrumors newbie
Original poster
Oct 22, 2011
17
0
Hi all,

I have an iPhone 4 on 4.0.2 which is jailbroken and unlocked. I got an invalid sim error lastnight, searched online and found out that an ultrasn0w reinstall would fix it.

Tried reinstalling ultrasn0w but got an error, tried updating cydia but got the same error...something about subprocess rm cleanup.

The baseband is the old baseband (1.59.00) so it should still be unlockable.

I checked TinyUmbrella and the SHSH is only saved for 4.3.0.

I tried upgrading to iOS5 and keep the baseband and was planning on unlocking with Ultrasn0w, however Apple aren't signing ios5 any more. I also tried editing the hosts file but it still wouldn't restore for me.

I am in currently without a phone and really need to get it working. If anyone has any ideas I would really appreciate it.

Thanks!
 

Crystal-RX

macrumors 68030
Dec 22, 2008
2,691
0
Seattle, WA USA
Hi all,

I have an iPhone 4 on 4.0.2 which is jailbroken and unlocked. I got an invalid sim error lastnight, searched online and found out that an ultrasn0w reinstall would fix it.

Tried reinstalling ultrasn0w but got an error, tried updating cydia but got the same error...something about subprocess rm cleanup.

The baseband is the old baseband (1.59.00) so it should still be unlockable.

I checked TinyUmbrella and the SHSH is only saved for 4.3.0.

I tried upgrading to iOS5 and keep the baseband and was planning on unlocking with Ultrasn0w, however Apple aren't signing ios5 any more. I also tried editing the hosts file but it still wouldn't restore for me.

I am in currently without a phone and really need to get it working. If anyone has any ideas I would really appreciate it.

Thanks!
Do you know if you have SHSH blobs save for this phone at all? if you do, create custom firmware for anything higher than 4.0.2 that you have blobs and restore to that firmware. The reason for this custom firmware is that if it is higher than 4.0.2 which is 4.1, the the baseband will be 02.10.
 

jhynds

macrumors newbie
Original poster
Oct 22, 2011
17
0
Do you know if you have SHSH blobs save for this phone at all? if you do, create custom firmware for anything higher than 4.0.2 that you have blobs and restore to that firmware. The reason for this custom firmware is that if it is higher than 4.0.2 which is 4.1, the the baseband will be 02.10.
Thanks for the reply.

There seems to be SHSH blobs saved - when I go to TinyUmbrella it says the only SHSH blob is 4.3 (8F190)

I downloaded the ipsw for 4.3 and ran it through Snowbreeze (on windows) to create a custom firmware but it said it was an invalid ipsw.

Should I try using pwange tool on a Mac instead?
 

Crystal-RX

macrumors 68030
Dec 22, 2008
2,691
0
Seattle, WA USA
Thanks for the reply.

There seems to be SHSH blobs saved - when I go to TinyUmbrella it says the only SHSH blob is 4.3 (8F190)

I downloaded the ipsw for 4.3 and ran it through Snowbreeze (on windows) to create a custom firmware but it said it was an invalid ipsw.

Should I try using pwange tool on a Mac instead?
I don't have Mac, so I don't know how to do it. However, members in here lean more to Pwnage tool and advise others to avoid sn0wbreeze.

When you restore to that customs firmware, make sure to have TU's TSS server running.
 

jhynds

macrumors newbie
Original poster
Oct 22, 2011
17
0
I don't have Mac, so I don't know how to do it. However, members in here lean more to Pwnage tool and advise others to avoid sn0wbreeze.

When you restore to that customs firmware, make sure to have TU's TSS server running.
I'll try Pwnage tool and see does that work with 4.3

As I have the old bootrom (1.59.00) would it be possible to upgrade to 5.0.1 and preserve the baseband, then unlock using Ultrasnow?
 

Crystal-RX

macrumors 68030
Dec 22, 2008
2,691
0
Seattle, WA USA
I'll try Pwnage tool and see does that work with 4.3

As I have the old bootrom (1.59.00) would it be possible to upgrade to 5.0.1 and preserve the baseband, then unlock using Ultrasnow?
Dev team has update ultrasn0w so it is compatible with OS5. I have not seen any update from them regarding 5.0.1. Therefore, i am not sure if ultrasn0w still work once you update to 5.0.1.

http://blog.iphone-dev.org/

Also, since you have Mac, you can use Redsn0w to create customs firmware now.
 

JunkyDog

macrumors 6502
Sep 17, 2011
274
0
Thanks for the reply.

There seems to be SHSH blobs saved - when I go to TinyUmbrella it says the only SHSH blob is 4.3 (8F190)

I downloaded the ipsw for 4.3 and ran it through Snowbreeze (on windows) to create a custom firmware but it said it was an invalid ipsw.

Should I try using pwange tool on a Mac instead?
try snowbreeze v2.5.1 or 2.7.1, both should work. Make sure you have the right version for IOS 4.3, hope it helps a bit..
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.